
Name:		icewm
Summary:	X11 Window Manager
Version:	3.4.7
Release:	%mkrel 1
License:	LGPL
Group:		Graphical desktop/Other
URL:		http://www.icewm.org/
%(if [ ! -f %_sourcedir/icewm-%{version}.tar.lz ]; then cd %_sourcedir/ && wget https://github.com/ice-wm/icewm/releases/download/%{version}/icewm-%{version}.tar.lz; fi)
Source:		icewm-%{version}.tar.lz
Source1:	themes.tar.gz
Source5:    icewm-menu-xdg
Source6:    icewm-starticewm
Source7:    icewm-xeditor
Source10:   startup
Patch1:     icewm-1.5.4-default.patch
Patch2:     icewm-1.5.4-background.patch
Patch3:     icewm-1.5.4-toolbar.patch
#-------------------------------------------
BuildRequires: asciidoc
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64ice-devel
BuildRequires: lib64sm-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64xft-devel
BuildRequires: lib64xinerama-devel
BuildRequires: lib64xrandr2-devel
BuildRequires: lib64xrender-devel
BuildRequires: gettext
BuildRequires: libpcap-devel
BuildRequires: xpm-devel
BuildRequires: lib64xcomposite-devel
BuildRequires: lib64fribidi-devel
BuildRequires: lib64imlib2-devel
BuildRequires: lib64rsvg2-devel
BuildRequires: lib64gdk_pixbuf_xlib2.0-devel
BuildRequires: lzip
#-------------------------------------------
Requires: emelfm
Requires: xterm
Requires: pa-applet
Requires: xdg-compliance
Requires: polkit
Requires: polkit-gnome
Requires: consolekit
Requires: consolekit-x11
Requires: policykit
Requires: lib64polkit1_0
Requires: lib64polkit2
Requires: lib64consolekit0
Requires: lib64polkit-gtk1_0
#for update-menus
Requires(post):	desktop-common-data
Requires(postun):	desktop-common-data

%description
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.


%prep
%setup -q
%autopatch -p1

%build

#sed -i "s/nullptr/NULL/" src/{wmconfig.cc,icewmhint.cc}


./autogen.sh

%configure2_5x

%make

%install
rm -rf %buildroot
#%make_install -C build

%make_install

#we dont use this
rm -rf %buildroot/%{_datadir}/xsessions


rm -rf %buildroot/%{_datadir}/icewm/themes
#default theme
tar xpvf %SOURCE1 -C %buildroot/%{_datadir}/icewm

# wmsession support
mkdir -p %{buildroot}/etc/X11/wmsession.d/
cat << EOF > %{buildroot}/etc/X11/wmsession.d/07IceWM
NAME=IceWM
ICON=icewm-wmsession.xpm
EXEC=/usr/bin/starticewm
DESC=Lightweight desktop environment
SCRIPT:
exec /usr/bin/starticewm
EOF

#bins
install -D -m755 %{SOURCE5} %{buildroot}%{_sysconfdir}/menu.d/%{name}
install -m 755 %{SOURCE6} %{buildroot}%{_bindir}/starticewm
install -m 755 %{SOURCE7} %{buildroot}%{_bindir}/xeditor

#customization
install -m 0755 %SOURCE10 %{buildroot}%{_datadir}/icewm/startup

%find_lang icewm

%files -f icewm.lang
%{_bindir}/*

%{_datadir}/doc
%{_datadir}/icewm/icons
%{_datadir}/icewm/themes
%{_datadir}/icewm/taskbar
%{_datadir}/man
%{_datadir}/icewm/ledclock
%{_datadir}/icewm/mailbox

%{_datadir}/icewm/menu
%{_datadir}/icewm/preferences
%{_datadir}/icewm/programs
%{_datadir}/icewm/toolbar
%{_datadir}/icewm/winoptions
%{_datadir}/icewm/keys
%{_datadir}/icewm/startup
%{_datadir}/icewm/IceWM.jpg
%config(noreplace) /etc/X11/wmsession.d/*
%{_sysconfdir}/menu.d/%{name}


%post
%{make_session}
if [ -x %{_bindir}/update-menus ]; then %{_bindir}/update-menus; fi

%postun
%{make_session}


%changelog
* Mon Mar 25 2024 tex - 3.4.7-1pclos2024
- new version

* Sat Mar 16 2024 tex - 3.4.6-2pclos2024
- start pipewire at login
- require pa-applet

* Fri Mar 08 2024 tex - 3.4.6-1pclos2024
- new version

* Fri Dec 29 2023 tex - 3.4.5-1pclos2024
- new version

* Thu Nov 02 2023 tex - 3.4.4-1pclos2023
- new version

* Tue Oct 03 2023 tex - 3.4.3-1pclos2023
- new version

* Mon Sep 11 2023 tex - 3.4.2-1pclos2023
- new version

* Sat Jul 22 2023 tex - 3.4.1-1pclos2023
- new version

* Tue Jun 06 2023 tex - 3.4.0-1pclos2023
- new version

* Thu May 18 2023 tex - 3.3.5-1pclos2023
- new version

* Wed May 03 2023 tex - 3.3.4-1pclos2023
- new version

* Mon Apr 10 2023 tex - 3.3.3-1pclos2023
- new version

* Tue Mar 14 2023 tex - 3.3.2-1pclos2023
- new version

* Tue Jan 24 2023 tex - 3.3.1-1pclos2023
- new version

* Wed Dec 21 2022 tex - 3.3.0-1pclos2022
- new version

* Mon Dec 05 2022 tex - 3.2.3-2pclos2022
- fix nm-applet starting on panel

* Mon Dec 05 2022 tex - 3.2.3-1pclos2022
- new version

* Mon Nov 14 2022 tex - 3.2.2-1pclos2022
- new version

* Wed Nov 09 2022 tex - 3.2.1-1pclos2022
- new version

* Thu Nov 03 2022 tex - 3.2.0-1pclos2022
- new version

* Mon Oct 24 2022 tex - 3.1.0-1pclos2022
- new version

* Mon Oct 10 2022 tex - 3.0.1-2pclos2022
- rebuild against updates

* Thu Oct 06 2022 tex - 3.0.1-1pclos2022
- new version

* Mon Oct 03 2022 tex - 3.0.0-1pclos2022
- new version

* Tue Aug 02 2022 tex - 2.9.9-1pclos2022
- new version

* Tue Jul 19 2022 tex - 2.9.8-1pclos2022
- new version

* Mon May 02 2022 tex - 2.9.7-1pclos2022
- new version

* Thu Feb 24 2022 tex - 2.9.6-1pclos2022
- new version

* Thu Jan 20 2022 tex - 2.9.5-1pclos2022
- new version

* Fri Dec 31 2021 tex - 2.9.4-1pclos2022
- new version

* Tue Dec 21 2021 tex - 2.9.3-1pclos2021
- new version

* Wed Dec 08 2021 tex - 2.9.2-1pclos2021
- new version

* Thu Dec 02 2021 tex - 2.9.1-1pclos2021
- new version

* Thu Nov 25 2021 tex - 2.9.0-1pclos2021
- new version

* Tue Oct 05 2021 tex - 2.8.0-1pclos2021
- new version

* Fri Aug 06 2021 tex - 2.7.0-1pclos2021
- new version

* Thu Jul 08 2021 tex - 2.6.0-1pclos2021
- new version

* Sat Jun 26 2021 tex - 2.5.0-1pclos2021
- new version

* Mon Jun 07 2021 tex - 2.4.0-1pclos2021
- new version

* Fri May 07 2021 tex - 2.3.4-1pclos2021
- new version

* Wed Apr 28 2021 tex - 2.3.3-1pclos2021
- new version

* Thu Apr 22 2021 tex - 2.3.2-1pclos2021
- new version

* Sun Apr 04 2021 tex - 2.3.1-1pclos2021
- new version

* Thu Apr 01 2021 tex - 2.3.0-1pclos2021
- new version

* Tue Mar 02 2021 tex - 2.2.1-1pclos2021
- new version

* Sun Feb 28 2021 tex - 2.2.0-1pclos2021
- new version

* Wed Feb 10 2021 tex - 2.1.2-1pclos2021
- new version

* Sun Jan 24 2021 tex - 2.1.1-1pclos2021
- new version

* Sat Jan 23 2021 tex - 2.1.0-1pclos2021
- new version

* Sun Jan 03 2021 tex - 2.0.1-1pclos2021
- new version

* Mon Dec 14 2020 tex - 2.0.0-1pclos2020
- new version

* Tue Nov 10 2020 tex - 1.9.2-1pclos2020
- new version

* Thu Nov 05 2020 tex - 1.9.1-1pclos2020
- new version

* Thu Oct 29 2020 tex - 1.9.0-1pclos2020
- new version

* Thu Sep 17 2020 tex - 1.8.3-1pclos2020
- new version

* Tue Sep 08 2020 tex - 1.8.2-1pclos2020
- new version

* Mon Aug 31 2020 tex - 1.8.1-1pclos2020
- new version

* Tue Aug 25 2020 tex - 1.8.0-1pclos2020
- new version

* Mon Jul 20 2020 tex - 1.7.0-1pclos2020
- new version

* Fri May 29 2020 tex - 1.6.6-1pclos2020
- new version

* Tue Mar 17 2020 tex - 1.6.5-1pclos2020
- new version

* Tue Jan 07 2020 tex - 1.6.4-1pclos2020
- new version

* Mon Nov 25 2019 tex - 1.6.3-1pclos2019
- new version

* Wed Oct 23 2019 tex - 1.6.2-4pclos2019
- dont req xdg-runtime-dir for icewm

* Sun Oct 20 2019 tex - 1.6.2-3pclos2019
- req xdg-runtime-dir

* Thu Sep 19 2019 tex - 1.6.2-2pclos2019
- rebuild against updates

* Thu Sep 19 2019 tex - 1.6.2-1pclos2019
- new version

* Thu Aug 22 2019 tex - 1.6.1-1pclos2019
- new version

* Fri Jun 07 2019 tex - 1.5.5-1pclos2019
- new version

* Thu Jun 06 2019 tex - 1.5.4-2pclos2019
- add startup support for idesk

* Tue Jun 04 2019 tex - 1.5.4-1pclos2019
- new
